function L = assemLoad_Delta_LFE(Mesh)

  % Initialize constants
  
  nCoordinates = size(Mesh.Coordinates,1);
  nElements = size(Mesh.Elements,1);
  
  % Preallocate memory
  
  L = zeros(nCoordinates,1);
  
  % Assemble element contributions
  
  for i = 1:nElements
    
    % Extract vertices
    
    vidx = Mesh.Elements(i,:);
    
    % Compute barycentric coordinates
    
    l = barycentric([0 0], Mesh.Coordinates(vidx,:));

    if (min(l) >= 0)
        L(vidx) = l;
    end;
    
  end
  
return
