function l = barycentric(x, p)

    s = (norm(p(1,:)-p(2,:)) + norm(p(2,:)-p(3,:)) + norm(p(3,:)-p(1,:)))/2;
    area = sqrt(s * (s-norm(p(1,:)-p(2,:))) * (s-norm(p(2,:)-p(3,:))) * (s-norm(p(3,:)-p(1,:))));

    l = zeros(3,1);

    l(1) = dot(x - p(2,:), [p(2,2)-p(3,2), p(3,1)-p(2,1)]) / (2*area);
    l(2) = dot(x - p(3,:), [p(3,2)-p(1,2), p(1,1)-p(3,1)]) / (2*area);
    l(3) = dot(x - p(1,:), [p(1,2)-p(2,2), p(2,1)-p(1,1)]) / (2*area);

end
